Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.tracking.events
Class ShoppingEvent

    java.lang.Object
      com.bea.p13n.property.AbstractConfigurableEntity
          com.bea.p13n.events.Event
              com.bea.p13n.tracking.events.TrackingEvent
                  com.bea.commerce.ebusiness.tracking.events.ShoppingEvent

All Implemented Interfaces
  EventConstants, ConfigurableEntity, Serializable

Direct Known Subclasses:
  AddToCartEvent, BuyEvent, PurchaseCartEvent, RemoveFromCartEvent

Deprecated See WLP Commerce product offering

    @Deprecated
    public abstract class ShoppingEvent

extends TrackingEvent

Event for tracking shopping and purchase activity

See Also
  Serialized Form

Field Summary
`static String` | `APPLICATION_NAME` Deprecated See WLP Commerce product offering
`static String` | `CURRENCY` Deprecated See WLP Commerce product offering
`static String` | `QUANTITY` Deprecated See WLP Commerce product offering
`static String` | `SKU` Deprecated See WLP Commerce product offering

Fields inherited from class com.bea.p13n.tracking.events.TrackingEvent
`REQUEST, SESSION_ID, USER_ID, USER_TYPE`

Fields inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`CE_METHOD_CACHE, instanceClass, PREFIX_GET, PREFIX_SET, propertyCache, textFormatter`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Fields inherited from interface com.bea.p13n.events.EventConstants
`TYPE_ALL`

Constructor Summary
`ShoppingEvent(String theEventType, javax.servlet.http.HttpSession session, String theXMLNamespace, String theXSDFile, String[] theSchemaKeys, javax.servlet.http.HttpServletRequest theRequest, String aSKU, Double theQuantity, String aCurrency, String aApplicationName)` Deprecated See WLP Commerce product offering
`ShoppingEvent(String theEventType, String theSessionId, String theUserId, String theXMLNamespace, String theXSDFile, String[] theSchemaKeys, javax.servlet.http.HttpServletRequest theRequest, String aSKU, Double theQuantity, String aCurrency, String aApplicationName)` Deprecated

Method Summary

Methods inherited from class com.bea.p13n.tracking.events.TrackingEvent
`getSchemaKeys, getSession, getXMLNamespace, getXSDFile, setSchemaKeys, setSession, setXMLNamespace, setXSDFile`

Methods inherited from class com.bea.p13n.events.Event
`getApplication, getAttribute, getAttributeNames, getProperty, getTimeStamp, getType, removeAttribute, setApplication, setAttribute, toString`

Methods inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`createMapKey, getCachedProperty, getExplicitProperty, getExplicitSetter, getImplicitProperty, getJndiName, getPkString, getPropertyAsString, getPropertyCache, getPropertyNoDefault, getUniqueId, hasExplicitGetter, hasExplicitSetter, removeExplicitProperty, removeProperty, setExplicitProperty, setProperty, upcaseFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Field Detail

### SKU

    public static final String SKU

  Deprecated See WLP Commerce product offering
  Event attribute key name for item sku (used by most) Attribute value is a String

  See Also
    Constants Summary

### QUANTITY

    public static final String QUANTITY

  Deprecated See WLP Commerce product offering
  Event attribute key name for quantity (used by shopping and buy) Attribute value is a Double

  See Also
    Constants Summary

### CURRENCY

    public static final String CURRENCY

  Deprecated See WLP Commerce product offering
  Event attribute key name for currency (used by shopping and buy) Attribute value is a String

  See Also
    Constants Summary

### APPLICATION_NAME

    public static final String APPLICATION_NAME

  Deprecated See WLP Commerce product offering
  Event attribute key name for application name (aka storefront) Attribute value is a String

  See Also
    Constants Summary

Constructor Detail

### ShoppingEvent

    public ShoppingEvent(String theEventType,
                         javax.servlet.http.HttpSession session,
                         String theXMLNamespace,
                         String theXSDFile,
                         String[] theSchemaKeys,
                         javax.servlet.http.HttpServletRequest theRequest,
                         String aSKU,
                         Double theQuantity,
                         String aCurrency,
                         String aApplicationName)

  Deprecated See WLP Commerce product offering

  Create a new ShoppingEvent. This ctor must be used to track anonymous users.

  Parameters
    `theEventType` - the event type
    `theSessionId` - from HttpSession.getId()
    `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown)
    `theXMLNamespace` - the namespace for an XML representation of this event type
    `theXSDFile` - the file that contains the schema which specifies and enforces typing on the data in the XML file
    `theSchemaKeys` - the list of keys (in their order in the XSD schema) representing the data to be persisted in this event's XML
    `theRequest` - the http servlet request object
    `aSKU` - SKU of the item (optionally null)
    `theQuantity` - quantity of item
    `aCurrency` - the currency (null ig unknown)
    `aApplicationName` - (aka storefront) (optionally null)

### ShoppingEvent

    public ShoppingEvent(String theEventType,
                         String theSessionId,
                         String theUserId,
                         String theXMLNamespace,
                         String theXSDFile,
                         String[] theSchemaKeys,
                         javax.servlet.http.HttpServletRequest theRequest,
                         String aSKU,
                         Double theQuantity,
                         String aCurrency,
                         String aApplicationName)

  Deprecated

  Create a new ShoppingEvent.

  Parameters
    `theEventType` - the event type
    `theSessionId` - from HttpSession.getId()
    `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown)
    `theXMLNamespace` - the namespace for an XML representation of this event type
    `theXSDFile` - the file that contains the schema which specifies and enforces typing on the data in the XML file
    `theSchemaKeys` - the list of keys (in their order in the XSD schema) representing the data to be persisted in this event's XML
    `theRequest` - the http servlet request object
    `aSKU` - SKU of the item (optionally null)
    `theQuantity` - quantity of item
    `aCurrency` - the currency (null ig unknown)
    `aApplicationName` - (aka storefront) (optionally null)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.